GRIB_COPY(1)

NAME
grib_copy

DESCRIPTION
Copies the content of grib files printing values of some keys.

USAGE
grib_copy [options] grib_file grib_file ... output_grib_file

OPTIONS

-f 	Force. Force the execution not to fail on error.

-r 	Repack data. Sometimes after setting some keys involving properties
    of the packing algorithm a repacking of data is needed. This repacking is performed setting this -r option.

-p key[:{s/d/l}],key[:{s/d/l}],...
    Declaration of keys to print. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be requested. Default type is string.

-P key[:{s/d/l}],key[:{s/d/l}],...
    As -p adding the declared keys to the default list.

-w key[:{s/d/l}]{=/!=}value,key[:{s/d/l}]=value,...
    Where clause. Only grib messages matching the key/value constraints are copied to the output_grib_file. A valid constraint is of type key=value or key!=value. For each key a string (key:s) or a double (key:d) or a long (key:l) type can be defined. Default type is string.

-B order by directive
    Order by. The output will be ordered according to the order by directive. Order by example: "step asc, centre desc" (step ascending and centre descending)

-V 	Version.

-W width
    Minimum width of each column in output. Default is 10.

-M 	Multi-field support off. Turn off support for multiple fields in single grib message.

-T T | B | A	Message type. T->GTS, B->BUFR, A->Any (Experimental).
    The input file is interpreted according to the message type.

-g 	Copy GTS header.

-G 	GRIBEX compatibility mode.

-7 	Does not fail when the message has wrong length

-v 	Verbose.

AUTHOR
This manpage has been autogenerated by Enrico Zini <enrico@debian.org>from the command line help of grib_copy.